Get Snapshot
curl --request GET \
--url https://api.example.com/api/graph/v1/chart-sessions/{session_id}/snapshotimport requests
url = "https://api.example.com/api/graph/v1/chart-sessions/{session_id}/snapshot"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/graph/v1/chart-sessions/{session_id}/snapshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schema_version": "1.0",
"session_id": "<string>",
"revision": 2,
"generated_at": "2023-11-07T05:31:56Z",
"scope": {
"symbol": "<string>",
"interval": "<string>",
"timezone": "<string>",
"visible_range": {
"from_time": 123,
"to_time": 123
},
"venue": "<string>",
"market_session": "<string>",
"selected_range": {
"from_time": 123,
"to_time": 123
}
},
"data_quality": {
"source": "<string>",
"as_of": "2023-11-07T05:31:56Z",
"mode": "real_time",
"gaps": [
{
"reason": "<string>",
"from_time": 123,
"to_time": 123
}
],
"truncated": true,
"adjustment_policy": "<string>",
"order_flow_classification": "quote_classified",
"delay_ms": 1,
"derivation_version": "<string>"
},
"series": [
{
"id": "<string>",
"revision": 2,
"kind": "<string>",
"unit": "<string>",
"data_quality": {
"source": "<string>",
"as_of": "2023-11-07T05:31:56Z",
"mode": "real_time",
"gaps": [
{
"reason": "<string>",
"from_time": 123,
"to_time": 123
}
],
"truncated": true,
"adjustment_policy": "<string>",
"order_flow_classification": "quote_classified",
"delay_ms": 1,
"derivation_version": "<string>"
},
"scale_id": "<string>",
"bars": [
{
"time": 123,
"open": 123,
"high": 123,
"low": 123,
"close": 123,
"volume": 1,
"finality": "forming",
"id": "<string>",
"revision": 2,
"vw": 123,
"forming": true,
"revised": true,
"source_time": "2023-11-07T05:31:56Z"
}
],
"points": [
{
"time": 123,
"value": 123,
"finality": "forming",
"source_bar_id": "<string>",
"quality": "<string>"
}
],
"provenance": {
"owner": {
"type": "user",
"id": "<string>"
},
"producer": {
"id": "<string>",
"kind": "human"
},
"version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"derivation": [
"<string>"
]
}
}
],
"objects": [
{
"id": "<string>",
"revision": 2,
"kind": "<string>",
"status": "proposed",
"owner": {
"type": "user",
"id": "<string>"
},
"semantics": {},
"relations": [
{
"type": "supports",
"object_id": "<string>",
"object_revision": 2
}
],
"provenance": {
"owner": {
"type": "user",
"id": "<string>"
},
"producer": {
"id": "<string>",
"kind": "human"
},
"version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"derivation": [
"<string>"
]
},
"visibility": "private",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"feature_id": "<string>",
"mark_types": [
"<string>"
],
"scope": {
"symbol": "<string>",
"venue": "<string>",
"interval": "<string>",
"timezone": "<string>",
"market_session": "<string>",
"from_time": 123,
"to_time": 123
},
"anchors": [
{
"time": 123,
"value": 123,
"series_id": "<string>",
"scale_id": "<string>",
"role": "start"
}
]
}
],
"capabilities": [
{
"name": "<string>",
"version": "<string>",
"state": "available",
"limits": {},
"reason_code": "<string>",
"required_scope": "<string>"
}
],
"permissions": [
{
"name": "<string>",
"resource_ids": [
"<string>"
],
"expires_at": "2023-11-07T05:31:56Z"
}
],
"decision_observations": [
{
"id": "<string>",
"revision": 2,
"feature_id": "<string>",
"producer": {
"id": "<string>",
"version": "<string>",
"kind": "human"
},
"subject": {
"symbol": "<string>",
"asset_class": "<string>"
},
"horizon": {
"profile": "<string>",
"seconds": "<unknown>",
"interval": "<string>"
},
"observed_at": "2023-11-07T05:31:56Z",
"effective_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"state_code": "<string>",
"measurements": {},
"finality": "forming",
"availability": "available",
"quality": {
"status": "<string>",
"reason_codes": [
"<string>"
]
},
"formula_version": "<string>",
"data_version": "<string>",
"evidence": [
{
"id": "<string>",
"kind": "observed",
"object_id": "<string>",
"object_revision": 2,
"source_time": "2023-11-07T05:31:56Z",
"field": "<string>"
}
],
"dependencies": [
{
"feature_id": "<string>",
"relationship": "direct",
"dependency_group": "<string>",
"members": [
"<string>"
]
}
],
"unavailable_fields": [
"<string>"
],
"supersedes_id": "<string>",
"provenance": {
"owner": {
"type": "user",
"id": "<string>"
},
"producer": {
"id": "<string>",
"kind": "human"
},
"version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"derivation": [
"<string>"
]
},
"strength": {
"value": 0.5,
"method": "<string>"
},
"supersedes_revision": 2,
"direction": null
}
],
"decision_insights": [
{
"id": "<string>",
"revision": 2,
"insight_code": "<string>",
"observation_refs": [
{
"id": "<string>",
"revision": 2
}
],
"claim": {
"summary": "<string>",
"direction": "bullish"
},
"horizon": {
"profile": "<string>",
"seconds": "<unknown>",
"interval": "<string>"
},
"strength": {
"value": 0.5,
"method": "<string>"
},
"supporting": [
{
"observation_ref": {
"id": "<string>",
"revision": 2
},
"dependency_group": "<string>",
"role": "supporting",
"reason_code": "<string>",
"fields": [
"<string>"
]
}
],
"contradicting": [
{
"observation_ref": {
"id": "<string>",
"revision": 2
},
"dependency_group": "<string>",
"role": "contradicting",
"reason_code": "<string>",
"fields": [
"<string>"
]
}
],
"contextual": [
{
"observation_ref": {
"id": "<string>",
"revision": 2
},
"dependency_group": "<string>",
"role": "contextual",
"reason_code": "<string>",
"fields": [
"<string>"
]
}
],
"vetoes": [
{
"observation_ref": {
"id": "<string>",
"revision": 2
},
"dependency_group": "<string>",
"role": "veto",
"reason_code": "<string>",
"fields": [
"<string>"
]
}
],
"unavailable": [
{
"observation_ref": {
"id": "<string>",
"revision": 2
},
"dependency_group": "<string>",
"role": "unavailable",
"reason_code": "<string>",
"fields": [
"<string>"
]
}
],
"uncertainty": {
"status": "bounded",
"reason_codes": [
"<string>"
]
},
"invalidation": [
{
"code": "<string>",
"summary": "<string>",
"observation_ref": {
"id": "<string>",
"revision": 2
}
}
],
"status": "active",
"expires_at": "2023-11-07T05:31:56Z",
"policy_version": "<string>",
"provenance": {
"owner": {
"type": "user",
"id": "<string>"
},
"producer": {
"id": "<string>",
"kind": "human"
},
"version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"derivation": [
"<string>"
]
},
"confidence": {
"evidence_id": "<string>",
"sample_population": "<string>",
"horizon": {
"profile": "<string>",
"seconds": "<unknown>",
"interval": "<string>"
},
"sample_count": 2,
"validation_status": "validated",
"calibration_version": "<string>"
}
}
],
"decision_context": [
{
"id": "<string>",
"context_snapshot_ref": {
"id": "<string>",
"revision": 2
},
"as_of": "2023-11-07T05:31:56Z",
"position_state": "flat",
"position_refs": [
{
"id": "<string>",
"revision": 2
}
],
"open_order_refs": [
{
"id": "<string>",
"revision": 2
}
],
"execution_refs": [
{
"id": "<string>",
"revision": 2
}
],
"risk_profile_ref": {
"id": "<string>",
"revision": 2
},
"trading_mode": "paper",
"permissions": [
"<string>"
],
"freshness": {
"status": "current",
"observed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
},
"conflicts": [
{
"code": "<string>",
"summary": "<string>",
"source_refs": [
{
"id": "<string>",
"revision": 2
}
]
}
],
"user_id": null,
"account_snapshot_ref": null,
"account_id": null,
"broker_account_id": null,
"credentials": null
}
],
"decision_dispositions": [
{
"id": "<string>",
"revision": 2,
"subject": {
"symbol": "<string>",
"asset_class": "<string>"
},
"insight_refs": [
{
"id": "<string>",
"revision": 2
}
],
"context_snapshot_ref": {
"id": "<string>",
"revision": 2
},
"position_state": "flat",
"posture": "observe",
"urgency": "low",
"rationale_codes": [
"<string>"
],
"constraints": [
"<string>"
],
"prerequisites": [
"<string>"
],
"invalidation": [
{
"code": "<string>",
"summary": "<string>",
"observation_ref": {
"id": "<string>",
"revision": 2
}
}
],
"risk_effect": {},
"proposal_eligibility": {
"status": "ineligible",
"missing": [
"<string>"
],
"blocked_by": [
"<string>"
]
},
"valid_until": "2023-11-07T05:31:56Z",
"policy_version": "<string>",
"provenance": {
"owner": {
"type": "user",
"id": "<string>"
},
"producer": {
"id": "<string>",
"kind": "human"
},
"version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"derivation": [
"<string>"
]
},
"order_side": null,
"broker_order_id": null,
"execution_effect": null
}
],
"focus": {
"object_ids": [
"<string>"
],
"cursor_time": 123,
"cursor_value": 123
},
"pagination": {
"truncated": true,
"next_cursor": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Chart Sessions
Get Snapshot
GET
/
api
/
graph
/
v1
/
chart-sessions
/
{session_id}
/
snapshot
Get Snapshot
Path Parameters
Query Parameters
Response
Successful Response
Sequency Charts semantic contract major/minor version.
Allowed value:
"1.0"Minimum string length:
1A positive monotonic revision.
Required range:
x >= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
50Show child attributes
Show child attributes
Maximum array length:
200Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum array length:
200Show child attributes
Show child attributes
Maximum array length:
100Show child attributes
Show child attributes
Maximum array length:
20Show child attributes
Show child attributes
Maximum array length:
20Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes